<html>
  <head>
    <title>Welcome to Ashdown.com - The best deals for Books, CDs and DVDs!</title>
    <%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
    <jsp:useBean id="cart" class="com.conygre.Cart" scope="session"/>
    <jsp:useBean id="stock" class="com.conygre.Stock" scope="application" />
    <jsp:useBean id="add" class="com.conygre.AddToCart" scope="page"/>
  </head>
  <body bgcolor="#FFCC99">
    <c:import url="header.jsp" />
    <%
      String[] ids = request.getParameterValues("id");
      add.add(ids, cart, stock);
    %>
    The Items currently in your basket:<br>
    <ul>
      <c:forEach var="item" items="${cart.items}">
        <li><c:out value="${item.title}" /> @ <c:out value="${item.price}" /><br>
      </c:forEach>
    </ul>
    <p><b>Total</b> <font color="red"><c:out value="${cart.total}"/></font><br>
    <c:set var="currentPage" value="checkout" scope="session"/>
    <a href="controller?page=/checkout.jsp">Proceed to checkout</a>
  </body>
</html>
